package com.diagbot.facade;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.IndexConfigDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.IndexConfigdiseaseNameVO;

/**
 * @author wangfeng
 * @Description: TODO
 * @date 2019年3月11日 下午4:20:09
 */
@Component
public class IndexConfigFacade {

	@Autowired 
	AiptServiceClient aiptServiceClient;
    /**
     * 根据疾病Id获取指标配置
     *
     * @param diseaseId 疾病标签id
     * @return
     */
    public RespDTO<List<IndexConfigDTO>> getindexConfig(IndexConfigdiseaseNameVO indexConfigdiseaseNameVO) {
    	RespDTO<List<IndexConfigDTO>> indexConfigList = aiptServiceClient.getindexConfigs(indexConfigdiseaseNameVO);
        return indexConfigList;
    }


}
