package com.diagbot.dto;

import java.util.List;
import java.util.Map;

import com.diagbot.entity.ScaleContent;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/20 13:44
 */
@Getter
@Setter
public class PushDTO {
    private List<QuestionDTO> symptom;
    private List<QuestionDTO> other;
    private List<QuestionDTO> vital;
    private List<Long> markedVitalIds;
    private List<QuestionDTO> lab;
    private List<QuestionDTO> pacs;
    private Map<String, List<QuestionDTO>> dis;
    private Map<String, Object> treat;
    private List<MedicalIndicationDTO> medicalIndications;
    private List<ScaleContent> scale;
    private List<EvaluationDTO> evaluationModule;
}